/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ReservaEspecialClienteDAO;
import com.rjconsultores.ventaboletos.entidad.ReservaEspecialCliente;
import com.rjconsultores.ventaboletos.service.ReservaEspecialClienteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;


/**
 * @author valde
 *
 */
@Service("reservaEspecialClienteService")
public class ReservaEspecialClienteServiceImpl implements ReservaEspecialClienteService {

	@Autowired
	private ReservaEspecialClienteDAO reservaEspecialClienteDAO;

	public List<ReservaEspecialCliente> obtenerTodos() {
		return reservaEspecialClienteDAO.obtenerTodos();
	}

	public ReservaEspecialCliente obtenerID(Integer id) {
		return reservaEspecialClienteDAO.obtenerID(id);
	}

	@Transactional
	public ReservaEspecialCliente suscribir(ReservaEspecialCliente entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return reservaEspecialClienteDAO.suscribir(entidad);
	}

	@Transactional
	public ReservaEspecialCliente actualizacion(ReservaEspecialCliente entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return reservaEspecialClienteDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ReservaEspecialCliente entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		reservaEspecialClienteDAO.actualizacion(entidad);
	}

	@Override
	public List<ReservaEspecialCliente> bucarReservaEspecialByClienteId(Long clienteId) {
		return reservaEspecialClienteDAO.bucarReservaEspecialByClienteId(clienteId);
	}

	@Override
	public List<ReservaEspecialCliente> bucarReservaEspecialByCorridaId(Long corridaId) {
		return reservaEspecialClienteDAO.bucarReservaEspecialByCorridaId(corridaId);
	}




}
